
QGIS Application - Bug report #7176

sextante plugin doesn't load anymore from build tree

2013-02-17 11:34 PM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16227

Description

Couldn't load plugin 'sextante' from ['/home/strk/.qgis//python/plugins/pyarchinit/modules/gui',

'/home/strk/.qgis//python/plugins/pyarchinit/modules/gis', '/home/strk/.qgis//python/plugins/pyarchinit/modules/db',

'/home/strk/.qgis//python/plugins/pyarchinit/modules/utility', '/home/strk/.qgis//python/plugins/pyarchinit',

'/usr/src/qgis/Quantum-GIS/b/output/python', '/home/strk/.qgis//python', '/home/strk/.qgis//python/plugins',

'/usr/src/qgis/Quantum-GIS/b/output/python/plugins', '/usr/local/lib/python2.7/dist-packages/pip-1.2.1-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/nik2img-0.8.0-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/GDAL-1.9.2-py2.7-linux-x86_64.egg', '/usr/lib/python2.7/dist-packages/PIL',

'/home/src/cartodb/cartodb/cartodb20/src/python-varnish', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-linux2', '/usr/lib/python2.7/lib-tk',

'/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload', '/usr/local/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages',

'/usr/lib/python2.7/dist-packages/gst-0.10', '/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.7',

'/usr/lib/python2.7/dist-packages/ubuntu-sso-client', '/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode',

'/usr/src/qgis/Quantum-GIS/b/output/python/plugins/fTools/tools']

It used to work. The output build tree is /usr/src/qgis/Quantum-GIS/b/output

History

#1 - 2013-02-17 11:35 PM - Sandro Santilli

This error may be an old one: #6639

#2 - 2013-02-17 11:48 PM - Alexander Bruy

Works fine here with latest master. Maybe this was related to missed directory in CMakeLists file, I've just fixed this

#3 - 2013-02-18 12:10 AM - Sandro Santilli

Fails here with commit:8f25bcf -- can it be you have sextante installed system-wide ?

#4 - 2013-02-18 12:15 AM - Alexander Bruy

Sandro Santilli wrote:

Fails here with commit:8f25bcf -- can it be you have sextante installed system-wide ?
Hmm... there is also SEXTANTE installed with QGIS in /usr/local/share/qgis/python/plugins. Is this system-wide place?

#5 - 2013-02-18 12:21 AM - Sandro Santilli

Yes, /usr/local/share/qgis/python/plugins does look like a system wide location.

Wipe that out if you can.

I guess it would be useful to have a switch to request NOT to use system-wide plugins. I see that as something possibly useful (to determine compatibility

of non-core plugins) but also possibly harmful (to test/debug new installs).

Note that as long as you have old stuff in the system directories you would also not detect errors in the install procedure, as things would still work thanks to

stale files...

#6 - 2013-02-18 12:28 AM - Alexander Bruy

After removing SEXTANTE folder from /usr/local/share/qgis/python/plugins I still can load SEXTANTE when running QGIS from build dir. And I checked,

there are no other SEXTANTE copies in home or system-wide directories.

#7 - 2013-02-18 01:42 AM - Sandro Santilli

I found and removed ~/.qgis/python/plugins/sextante and rebuilt from scratch (wiping out the whole build directory) but still have the same problem. Can it

be you've something left in your build tree ?

#8 - 2013-02-18 01:45 AM - Sandro Santilli

Oops, reading the backtrace may be useful... It ends with:

ImportError: No module named matplotlib.pyplot

Do you know how to fix that ?

#9 - 2013-02-18 01:47 AM - Giovanni Manghi

Sandro Santilli wrote:

Oops, reading the backtrace may be useful... It ends with:

ImportError: No module named matplotlib.pyplot

Do you know how to fix that ?

try install python-matplotlib ?

#10 - 2013-02-18 01:52 AM - Alexander Bruy

I think this algs should be disabled because this introduces additional dependency from 3rd party Python module

2025-04-27 2/5



#11 - 2013-02-18 02:05 AM - Sandro Santilli

python-matplotlib took me a step forward, but isn't enough: ImportError: No module named tools

Could algs be disabled at runtime when deps aren't found ?

Ideally a user would be informed about the problem and ways to fix it.

#12 - 2013-02-18 03:31 AM - Sandro Santilli

Alex: still no dice after commit:d31b838

 ImportError: No module named scipy

#13 - 2013-02-18 03:42 AM - Alexander Bruy

Should be fixed with commit:22256906d7

#14 - 2013-02-18 04:11 AM - Sandro Santilli

- Status changed from Open to Closed

- % Done changed from 0 to 100

- Resolution set to fixed

Confirmed

#15 - 2013-02-18 07:24 AM - Rudi von Staden

- % Done changed from 100 to 50

- Status changed from Closed to Reopened

I had a similar bug with ImportError: no module named tools. I updated, and now I'm getting "ImportError: No module named psycopg2". I'm reopening the

bug assuming it's the same issue.

@Couldn't load plugin 'sextante' from ['/home/rudi/apps/qgis/share/qgis/python', '/home/rudi/.qgis//python', '/home/rudi/.qgis//python/plugins',

'/home/rudi/apps/qgis/share/qgis/python/plugins', '/usr/local/lib/python2.7/dist-packages/rst2pdf-0.92-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/Pygments-1.5-py2.7.egg', '/usr/local/lib/python2.7/dist-packages', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-linux2',

'/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload', '/usr/local/lib/python2.7/dist-packages',

'/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PIL', '/usr/lib/python2.7/dist-packages/gst-0.10',

'/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.7', '/usr/lib/python2.7/dist-packages/ubuntu-sso-client',

'/usr/lib/python2.7/dist-packages/ubuntuone-client', '/usr/lib/python2.7/dist-packages/ubuntuone-control-panel',

'/usr/lib/python2.7/dist-packages/ubuntuone-couch', '/usr/lib/python2.7/dist-packages/ubuntuone-storage-protocol',

'/home/rudi/apps/qgis/share/qgis/python/plugins/fTools/tools']

Traceback (most recent call last):

  File "/home/rudi/apps/qgis/share/qgis/python/qgis/utils.py", line 182, in loadPlugin

import(packageName)

  File "/home/rudi/apps/qgis/share/qgis/python/qgis/utils.py", line 452, in import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/home/rudi/apps/qgis/share/qgis/python/plugins/sextante/_init__.py", line 20, in 
    from sextante.core.Sextante import runalg, runandload, alghelp, alglist, algoptions, load, loadFromAlg, \\

  File "/home/rudi/apps/qgis/share/qgis/python/qgis/utils.py", line 452, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/home/rudi/apps/qgis/share/qgis/python/plugins/sextante/core/Sextante.py", line 53, in 

    from sextante.admintools.AdminToolsAlgorithmProvider import AdminToolsAlgorithmProvider

  File "/home/rudi/apps/qgis/share/qgis/python/qgis/utils.py", line 452, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/home/rudi/apps/qgis/share/qgis/python/plugins/sextante/admintools/AdminToolsAlgorithmProvider.py", line 19, in 

    from sextante.admintools.PostGISExecuteSQL import PostGISExecuteSQL

  File "/home/rudi/apps/qgis/share/qgis/python/qgis/utils.py", line 452, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/home/rudi/apps/qgis/share/qgis/python/plugins/sextante/admintools/PostGISExecuteSQL.py", line 32, in 

    from sextante.admintools import postgis_utils

  File "/home/rudi/apps/qgis/share/qgis/python/qgis/utils.py", line 452, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/home/rudi/apps/qgis/share/qgis/python/plugins/sextante/admintools/postgis_utils.py", line 39, in 

    import psycopg2

  File "/home/rudi/apps/qgis/share/qgis/python/qgis/utils.py", line 452, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

ImportError: No module named psycopg2

Python version:

2.7.3 (default, Sep 26 2012, 21:57:08) 

[GCC 4.7.2]

QGIS version:

1.9.0-Master Master, ee96d38

Python path: ['/home/rudi/apps/qgis/share/qgis/python', '/home/rudi/.qgis//python', '/home/rudi/.qgis//python/plugins',

'/home/rudi/apps/qgis/share/qgis/python/plugins', '/usr/local/lib/python2.7/dist-packages/rst2pdf-0.92-py2.7.egg',

'/usr/local/lib/python2.7/dist-packages/Pygments-1.5-py2.7.egg', '/usr/local/lib/python2.7/dist-packages', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-linux2',

'/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload', '/usr/local/lib/python2.7/dist-packages',

'/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PIL', '/usr/lib/python2.7/dist-packages/gst-0.10',

'/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.7', '/usr/lib/python2.7/dist-packages/ubuntu-sso-client',

'/usr/lib/python2.7/dist-packages/ubuntuone-client', '/usr/lib/python2.7/dist-packages/ubuntuone-control-panel',

'/usr/lib/python2.7/dist-packages/ubuntuone-couch', '/usr/lib/python2.7/dist-packages/ubuntuone-storage-protocol',

'/home/rudi/apps/qgis/share/qgis/python/plugins/fTools/tools']@

#16 - 2013-02-18 07:32 AM - Rudi von Staden

After 'sudo apt-get install python-psycopg2', QGIS loaded fine. Not sure whether it's an appropriate dependency so leaving open for now.

#17 - 2013-04-12 10:49 PM - maning sambale

Proposed for closure.

#18 - 2013-05-22 08:29 AM - Simon Dedman

Apologies if this is seen as thread-jacking; I have a similar problem which may be related:

Can't install Sextante. Small clip of the fail log (full log available upon request):
"File "C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\\psycopg2\\__init__.py", line 55, in 

    from psycopg2 import tz

ImportError: cannot import name tz

Python version: 2.7.4 (default, Apr  6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

QGIS version: 1.9.0-Master Master, b805894"

I saw this: http://lethain.com/when-psycopg2-can-t-import-tz/ but I don't think it's exactly the same problem, despite being similar...

p.s. I'm using OSGeo4W.

#19 - 2013-05-30 12:53 AM - Sandro Santilli

- Status changed from Reopened to Closed

Loading sextante from build dir works fine for me as of commit:58266c145ce6ec2338187cacab2fc2ae948a896d

Simon please use a separate ticket for your problem :)
